﻿dofile(ModPath .. "menu/menu.lua")

Hooks:Add("LocalizationManagerPostInit", "tiers_localize_menu", function(loc)
	loc:load_localization_file(TierSelector.modpath .. 'menu/english.txt', false)
end)

Hooks:Add("MenuManagerInitialize", "tiers_init_menu", function(menu_manager)
	MenuCallbackHandler.tiers_save = function(this, item)
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_activated_callback = function(this, item)
		TierSelector.settings[item:name()] = item:value() == "on"
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_tier_callback = function(this, item)
		TierSelector.settings.tier = tonumber(item:value())
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_gensec_rifle_callback = function(this, item)
		TierSelector.settings.gensec_rifle = tonumber(item:value())
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_gensec_shotgun_callback = function(this, item)
		TierSelector.settings.gensec_shotgun = tonumber(item:value())
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_zeal_marksman_dw_callback = function(this, item)
		TierSelector.settings[item:name()] = item:value() == "on"
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_zeal_marksman_ds_callback = function(this, item)
		TierSelector.settings[item:name()] = item:value() == "on"
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_stronger_dozers_callback = function(this, item)
		TierSelector.settings[item:name()] = item:value() == "on"
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_shield_mp9_callback = function(this, item)
		TierSelector.settings[item:name()] = item:value() == "on"
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_medic_rifle_callback = function(this, item)
		TierSelector.settings.medic_rifle = tonumber(item:value())
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_medic_shotgun_callback = function(this, item)
		TierSelector.settings.medic_shotgun = tonumber(item:value())
		TierSelector:Save()
	end
	MenuCallbackHandler.tiers_radio_filter_callback = function(this, item)
		TierSelector.settings[item:name()] = item:value() == "on"
		TierSelector:Save()
	end
	TierSelector:Load()

	MenuHelper:LoadFromJsonFile(TierSelector.modpath .. "menu/menu.txt", TierSelector, TierSelector.settings)
end)