﻿if not TierSelector then
	_G.TierSelector = {}
	TierSelector.modpath = ModPath
	TierSelector.settings = {
		activated = true,
		tier = 1,
		gensec_rifle = 1,
		gensec_shotgun = 1,
		zeal_marksman_dw = false,
		zeal_marksman_ds = false,
		stronger_dozers = false,
		shield_mp9 = false,
		medic_rifle = 1,
		medic_shotgun = 1,
		radio_filter = false
	}

	function TierSelector:Save()
		local file = io.open(SavePath .. 'tier_selector.txt', 'w+')
		if file then
			file:write(json.encode(TierSelector.settings))
			file:close()
		end
	end

	function TierSelector:Load()
		local file = io.open(SavePath .. 'tier_selector.txt', 'r')
		if file then
			for k, v in pairs(json.decode(file:read('*all')) or {}) do
				TierSelector.settings[k] = v
			end
			file:close()
		end
	end

		TierSelector:Load()
	TierSelector:Save()	
end