﻿dofile(ModPath .. "menu/menu.lua")

--Sets up the weapons
local sh_spas12_r870 = StreamHeist and "spas12" or "r870"
local shield_mp9_mapping = {
	[("units/payday2/characters/ene_shield_2/ene_shield_2"):key()] = "mp9"
}
local medic_mp5_mapping = {
	[("units/payday2/characters/ene_medic_m4/ene_medic_m4"):key()] = "mp5"
}
local medic_m4_mapping = {
	[("units/payday2/characters/ene_medic_m4/ene_medic_m4"):key()] = "m4"
}
local medic_g36_mapping = {
	[("units/payday2/characters/ene_medic_m4/ene_medic_m4"):key()] = "g36"
}
local medic_r870_mapping = {
	[("units/payday2/characters/ene_medic_r870/ene_medic_r870"):key()] = "r870"
}
local medic_spas12_mapping = {
	[("units/payday2/characters/ene_medic_r870/ene_medic_r870"):key()] = sh_spas12_r870
}
local medic_benelli_mapping = {
	[("units/payday2/characters/ene_medic_r870/ene_medic_r870"):key()] = "benelli"
}

Hooks:PreHook(CopBase, "post_init", "tiers_post_init", function(self)
	local shield_mp9_swap = shield_mp9_mapping[self._unit:name():key()]
	local medic_mp5_swap = medic_mp5_mapping[self._unit:name():key()]
	local medic_m4_swap = medic_m4_mapping[self._unit:name():key()]
	local medic_g36_swap = medic_g36_mapping[self._unit:name():key()]
	local medic_r870_swap = medic_r870_mapping[self._unit:name():key()]
	local medic_spas12_swap = medic_spas12_mapping[self._unit:name():key()]
	local medic_benelli_swap = medic_benelli_mapping[self._unit:name():key()]

--SWAT Shield MP9
	if shield_mp9_swap and TierSelector.settings.shield_mp9 == true then
		self._default_weapon_id = type(shield_mp9_swap) == "table" and table.random(shield_mp9_swap) or shield_mp9_swap
	end
--Medic rifle
	if medic_mp5_swap and TierSelector.settings.medic_rifle == 2 then
		self._default_weapon_id = type(medic_mp5_swap) == "table" and table.random(medic_mp5_swap) or medic_mp5_swap
	end
	if medic_m4_swap and TierSelector.settings.medic_rifle == 3 then
		self._default_weapon_id = type(medic_m4_swap) == "table" and table.random(medic_m4_swap) or medic_m4_swap
	end
	if medic_g36_swap and TierSelector.settings.medic_rifle == 4 then
		self._default_weapon_id = type(medic_g36_swap) == "table" and table.random(medic_g36_swap) or medic_g36_swap
	end
--Medic shotgun
	if medic_r870_swap and TierSelector.settings.medic_shotgun == 2 then
		self._default_weapon_id = type(medic_r870_swap) == "table" and table.random(medic_r870_swap) or medic_r870_swap
	end
	if medic_spas12_swap and TierSelector.settings.medic_shotgun == 3 then
		self._default_weapon_id = type(medic_spas12_swap) == "table" and table.random(medic_spas12_swap) or medic_spas12_swap
	end
	if medic_benelli_swap and TierSelector.settings.medic_shotgun == 4 then
		self._default_weapon_id = type(medic_benelli_swap) == "table" and table.random(medic_benelli_swap) or medic_benelli_swap
	end
end)